# Uses of Class
org.apache.solr.client.solrj.response.RangeFacet

Packages that use RangeFacet
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of RangeFacet in org.apache.solr.client.solrj.response

Subclasses of RangeFacet in org.apache.solr.client.solrj.response
Modifier and Type
Class
Description
`static class`
`RangeFacet.Currency`
`static class`
`RangeFacet.Date`
`static class`
`RangeFacet.Numeric`
Methods in org.apache.solr.client.solrj.response that return RangeFacet
Modifier and Type
Method
Description
`RangeFacet`
RangeFacet.Count.`getRangeFacet()`
Methods in org.apache.solr.client.solrj.response that return types with arguments of type RangeFacet
Modifier and Type
Method
Description
`List<RangeFacet>`
PivotField.`getFacetRanges()`
`List<RangeFacet>`
QueryResponse.`getFacetRanges()`
Constructors in org.apache.solr.client.solrj.response with parameters of type RangeFacet
Modifier
Constructor
Description
``
`Count(String value, int count, RangeFacet rangeFacet)`